Package org.codehaus.commons.compiler.util.resource

# Class PathResourceFinder

java.lang.Object
org.codehaus.commons.compiler.util.resource.ResourceFinder
org.codehaus.commons.compiler.util.resource.ListableResourceFinder
org.codehaus.commons.compiler.util.resource.MultiResourceFinder
org.codehaus.commons.compiler.util.resource.LazyMultiResourceFinder
org.codehaus.commons.compiler.util.resource.PathResourceFinder

public class PathResourceFinder extends LazyMultiResourceFinder
A `ResourceFinder` that finds its resources along a "path" consisting of JAR file names, ZIP file names, and directory names.

See Also:
  - `ZipFileResourceFinder`
  - `DirectoryResourceFinder`

## Field Summary

### Fields inherited from class org.codehaus.commons.compiler.util.resource.ResourceFinder

`EMPTY_RESOURCE_FINDER`

## Constructor Summary

Constructors
Constructor
Description
`PathResourceFinder(File[] entries)`
`PathResourceFinder(String path)`
`PathResourceFinder(Iterator<ResourceFinder> entries)`

## Method Summary

### Methods inherited from class org.codehaus.commons.compiler.util.resource.MultiResourceFinder

`findResource, list`

### Methods inherited from class org.codehaus.commons.compiler.util.resource.ResourceFinder

`findResourceAsStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathResourceFinder

public PathResourceFinder(File[] entries)

Parameters:
  `entries` - The entries of the "path"

### PathResourceFinder

public PathResourceFinder(Iterator<ResourceFinder> entries)

Parameters:
  `entries` - The entries of the "path"

### PathResourceFinder

public PathResourceFinder(String path)

Parameters:
  `path` - A java-like path, i.e. a "path separator"-separated list of entries